package org.processmining.activityclusterarray.algorithms;

import javax.swing.JComponent;

import org.processmining.activityclusterarray.models.ActivityClusterArray;
import org.processmining.activityclusterarray.models.graph.ActivityClusterArrayGraph;
import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.models.jgraph.ProMJGraphVisualizer;

public class VisualizeActivityClusterArrayAlgorithm {

	public JComponent apply(UIPluginContext context, ActivityClusterArray clusters) {
		ActivityClusterArrayGraph graph = new ActivityClusterArrayGraph(context, clusters);
		return ProMJGraphVisualizer.instance().visualizeGraph(context, graph);
	}

}
