package org.processmining.activityclusterarray.models.graph;

import org.processmining.models.graphbased.AttributeMap;
import org.processmining.models.graphbased.AttributeMap.ArrowType;
import org.processmining.models.graphbased.directed.AbstractDirectedGraphEdge;

public class ActivityClusterArrayEdge extends AbstractDirectedGraphEdge<ActivityClusterArrayNode, ActivityClusterArrayNode> {

	public ActivityClusterArrayEdge(ActivityClusterArrayNode source, ActivityClusterArrayNode target, ArrowType type) {
		super(source, target);
		getAttributeMap().put(AttributeMap.EDGEEND, type);
	}

}

